PATCH — Focused 1.9.0 update to 2.3.340

Discussion in 'Drod2169 - X' started by sephtin, Dec 10, 2010.

  1. sephtin

    sephtin Senior Member

    Joined:
    Aug 20, 2010
    Messages:
    1,807
    Likes Received:
    0
    Trophy Points:
    66
    Ratings:
    +0
    It's a framework problem. There was a test version of Focused 1.9 out that had the bug fixed... but it had other issues, so wasn't used.

    Drod is aware that it still exists in 1.9.
     
  2. sephtin

    sephtin Senior Member

    Joined:
    Aug 20, 2010
    Messages:
    1,807
    Likes Received:
    0
    Trophy Points:
    66
    Ratings:
    +0
    First thing I want to confirm.. now that you're on 2.3.3xx, you DID install the LEAK version of Focused, right?
     
  3. hartsgt

    hartsgt New Member

    Joined:
    Oct 20, 2010
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    it definitly shows 2.3.340 on th escreen but i used the original1.9.0 i was using for 2.3.15. is that my problem? i need to use the 2.3.320 version? i also just noticed youtube will not play either
     
  4. teh_g

    teh_g Member

    Joined:
    Oct 14, 2010
    Messages:
    383
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    You need to use the leak version of rubiX.
     
  5. hartsgt

    hartsgt New Member

    Joined:
    Oct 20, 2010
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    wow sorry for being a loser newbie. still getting used to the changes from bb. that worked great so far. music player and you tube work. amazing how much better things are when you follow directions. well thank you all very much for the help
     
  6. sephtin

    sephtin Senior Member

    Joined:
    Aug 20, 2010
    Messages:
    1,807
    Likes Received:
    0
    Trophy Points:
    66
    Ratings:
    +0
    Glad things are working.. and for clarification, if you're on 2.3.320, or 2.3.340.. the leak version of Focused should work great. Patch will also work for both, but is designed to update for 2.3.340.

    Everyone's been there.. so don't feel bad. And if you're ever not sure about something... asking questions is totally the right thing to do!
     
  7. detox

    detox Member

    Joined:
    Nov 9, 2010
    Messages:
    917
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Pittsburgh, Pa
    Ratings:
    +0
    If we used this patch, do we need to use tbhs system patch or will this be sufficient?

    Sent from my DROIDX using DroidForums App
     
  8. hartsgt

    hartsgt New Member

    Joined:
    Oct 20, 2010
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    works great thank you for all your help
     
  9. sephtin

    sephtin Senior Member

    Joined:
    Aug 20, 2010
    Messages:
    1,807
    Likes Received:
    0
    Trophy Points:
    66
    Ratings:
    +0
    I'll try to explain as best I can, if I'm not clear, feel free to ask for clarification.

    Once you're on 2.3.320, or 2.3.340, you have the updated bootloader, and an updated kernel (respective to which of the previously mentioned versions you are on).

    The /system files are COMPLETELY replaced by a ROM, so installing a system patch replaces your /system dir with a stock 2.3.340 /system, but then loading a ROM completely negates having loaded the /system patch to begin with... as though you had never loaded it.

    So no, if you plan to load Focused, there is no point in loading the TBH system patch.

    Now, back to those aforementioned kernels.
    When you compile a kernel, you compile with it modules. Those modules are included with the ROM. The leak version of Focused came out for version 2.3.320, so it contained kernel modules based on that kernel.
    Since the 2.3.340 (OTA) has been released, I put together a patch that includes all of the necessary files changed with 2.3.340 for Focused.

    The modules for 2.3.320 work with the 2.3.340 kernel, and vs-vsa., but it's always best to run the modules with the correct kernel.

    Either way, if you were on the 2.3.320 leak.. my suggestion would be:
    Update your kernel (etc.) to the 2.3.340 version via newly released updates from TBH:
    TBH Patches: 2.3.340-System, Baseband, 2.3.340-Kernel, Bootloader

    Once you've applied those, then apply the 2.3.340 patch for Focused.

    If you prefer to stay on the 2.3.320 leak, that works fine as well, but you wouldn't necessarily want/need this patch.

    Hope that makes more sense... ?
     
  10. detox

    detox Member

    Joined:
    Nov 9, 2010
    Messages:
    917
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Pittsburgh, Pa
    Ratings:
    +0
    Thanks seph. Did the kernel update this morning. Appreciate all the help. You're the man!

    Sent from my DROIDX using DroidForums App
     
  11. hansolos

    hansolos New Member

    Joined:
    Jul 22, 2010
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    I'm stuck a the M, I installed the .320 leak, then Focused 1.9. Used Sephtin (Thanks) .340 patch and everything was good. Read there IS a difference in kernels and tried to install the TBH .340 Kernel updater. Now I'm just looping. I tried to reinstall Sephtin patch, but no good.

    Edit: Just had to wipe data/cache, working now.
     
  12. akiles

    akiles Member

    Joined:
    Nov 29, 2010
    Messages:
    264
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Fredericksburg, VA
    Ratings:
    +2
    I think I f'ed up.
    I thought this would be simple but...
    So I'm on the .215 running RubiX 1.9.0 and Septh's bar of awesomeness.
    I thought I'd just run ROM manager with the backup I made after I rooted the phone right after I got the froyo OTA and then unroot and install the new OTA.
    So, I restored the backup and realized that I had removed some of the bloat and had made a Titanium backup which I cannot find since I have a new pc since then.
    Then I thought I could just use some of the stock roms from ROM manager (DroidX 2,2) but it fails.
    All of this so I wouldn't have to use RSD Lite (which I'm afraid to use -yes, I'm a p****).
    Got RSD, got the drivers, but where can I find the image file to flash?
    I know some may say "google it, lazy bastard", and I did, but I get a million files and I'm afraid to choose the wrong one. Could someone point me in the right direction?
    Thank you in advance.

    PS: when the ROM Manager stock backup failed, it messed up the phone (I'm sure it was something I did). I had to restore my last rubix backup but I lost root (got it back). The phone was at 80% batt and after I restored the RubiX 1.9.0 backup, it showed 100%... guess gotta clear the batt stats again, right?